com.sun.tdk.specdiff.html.stat

## Class Assertion

- java.lang.Object
- - com.sun.tdk.specdiff.html.stat.Assertion

- All Implemented Interfaces:
    java.io.Serializable

      public class Assertion
      extends java.lang.Object
      implements java.io.Serializable

  Document assertion VO. Not thread safe!
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Assertion()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addAttribute(Attribute a)`
    `void` | `addTestCase(TestCase tc)`
    `boolean` | `equals(java.lang.Object obj)`
    `java.lang.String` | `getAttribute(java.lang.String name)`
    `java.util.Collection<Attribute>` | `getAttributes()`
    `org.outerj.daisy.diff.html.modification.ModificationType` | `getModificationType()`
    `java.lang.String` | `getName()`
    `java.util.Collection<TestCase>` | `getTestCaseList()`
    `int` | `hashCode()`
    `boolean` | `hasValidTests()`
    `boolean` | `isNontestable()`
    `void` | `setModificationType(org.outerj.daisy.diff.html.modification.ModificationType mt)`
    `void` | `setName(java.lang.String name)`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Assertion

          public Assertion()

  - ### Method Detail

    - #### getName

          public java.lang.String getName()

    - #### setName

          public void setName(java.lang.String name)

    - #### getAttributes

          public java.util.Collection<Attribute> getAttributes()

    - #### addAttribute

          public void addAttribute(Attribute a)

    - #### getAttribute

          public java.lang.String getAttribute(java.lang.String name)

    - #### isNontestable

          public boolean isNontestable()

    - #### setModificationType

          public void setModificationType(org.outerj.daisy.diff.html.modification.ModificationType mt)

    - #### getModificationType

          public org.outerj.daisy.diff.html.modification.ModificationType getModificationType()

    - #### getTestCaseList

          public java.util.Collection<TestCase> getTestCaseList()

    - #### hasValidTests

          public boolean hasValidTests()

    - #### addTestCase

          public void addTestCase(TestCase tc)

    - #### equals

          public boolean equals(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`